r14787 - gnucash/trunk/packaging/win32 - Add OpenSSL install function as libgnomeui needs libssl32.dll. Add

Andreas Köhler andi5 at cvs.gnucash.org
Sun Sep 3 06:13:09 EDT 2006


Author: andi5
Date: 2006-09-03 06:13:08 -0400 (Sun, 03 Sep 2006)
New Revision: 14787
Trac: http://svn.gnucash.org/trac/changeset/14787

Modified:
   gnucash/trunk/packaging/win32/custom.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
Add OpenSSL install function as libgnomeui needs libssl32.dll. Add
environment variable LIBGLADE_MODULE_PATH. glade_require("gnome"); works
now, Glade-2 does not load gnome widgets, GnuCash is untested.


Modified: gnucash/trunk/packaging/win32/custom.sh
===================================================================
--- gnucash/trunk/packaging/win32/custom.sh	2006-09-02 19:19:45 UTC (rev 14786)
+++ gnucash/trunk/packaging/win32/custom.sh	2006-09-03 10:13:08 UTC (rev 14787)
@@ -47,6 +47,9 @@
 GLADE_URL="$SF_MIRROR/gladewin32/gtk-win32-devel-2.8.18-rc1.exe"
 GLADE_DIR=$GLOBAL_DIR\\glade
 
+OPENSSL_URL="http://www.slproweb.com/download/Win32OpenSSL-v0.9.8b.exe"
+OPENSSL_DIR=$GLOBAL_DIR\\openssl
+
 GNOME_PLATFORM_URL="$GNOME_MIRROR/platform/2.14/2.14.3/win32"
 GNOME_DESKTOP_URL="$GNOME_MIRROR/desktop/2.14/2.14.2/win32"
 INTLTOOL_URL="$GNOME_PLATFORM_URL/intltool-0.35.0.zip"
@@ -101,6 +104,7 @@
 add_step inst_guile
 add_step inst_glade
 add_step inst_gwrap
+add_step inst_openssl
 add_step inst_gnome
 add_step inst_autotools
 add_step inst_libgsf

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2006-09-02 19:19:45 UTC (rev 14786)
+++ gnucash/trunk/packaging/win32/install.sh	2006-09-03 10:13:08 UTC (rev 14787)
@@ -23,6 +23,7 @@
 SEPS_AUTOTOOLS_CPPFLAGS=" "
 SEPS_AUTOTOOLS_LDFLAGS=" "
 SEPS_GUILE_LOAD_PATH=";"
+SEPS_LIBGLADE_MODULE_PATH=";"
 SEPS_PATH=":"
 SEPS_PKG_CONFIG_PATH=":"
 SEPS_READLINE_CPPFLAGS=" "
@@ -35,6 +36,7 @@
 AUTOTOOLS_CPPFLAGS \
 AUTOTOOLS_LDFLAGS \
 GUILE_LOAD_PATH \
+LIBGLADE_MODULE_PATH \
 PATH \
 PKG_CONFIG_PATH \
 READLINE_CPPFLAGS \
@@ -365,11 +367,27 @@
     quiet g-wrap-config --version || die "g-wrap not installed correctly"
 }
 
+function inst_openssl() {
+    setup OpenSSL
+    if [ -f $WINDIR\\system32\\libssl32.dll ]
+    then
+        echo "openssl already installed.  skipping."
+    else
+        smart_wget $OPENSSL_URL $DOWNLOAD_DIR
+	echo "!!! When asked for an installation path, specify $OPENSSL_DIR !!!"
+        $LAST_FILE
+    fi
+    [ -f $WINDIR\\system32\\libssl32.dll ] || die "openssl not installed correctly"
+}
+
 function inst_gnome() {
     setup Gnome platform
     _GNOME_UDIR=`unix_path $GNOME_DIR`
+    _GNOME_WFSDIR=`win_fs_path $GNOME_DIR`
     add_to_env $_GNOME_UDIR/bin PATH
     add_to_env $_GNOME_UDIR/lib/pkgconfig PKG_CONFIG_PATH
+    add_to_env "-I $_GNOME_UDIR/share/aclocal" ACLOCAL_FLAGS
+    add_to_env $_GNOME_WFSDIR/lib/libglade/2.0 LIBGLADE_MODULE_PATH
     if quiet gconftool-2 --version &&
         pkg-config --exists gconf-2.0 libgnome-2.0 libgnomeui-2.0 libgnomeprint-2.2 libgnomeprintui-2.2 libgtkhtml-3.8 &&
         quiet intltoolize --version
@@ -402,7 +420,6 @@
 	wget_unpacked $GTKHTML_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $GTKHTML_DEV_URL $DOWNLOAD_DIR $GNOME_DIR
     fi
-    add_to_env "-I $_GNOME_UDIR/share/aclocal" ACLOCAL_FLAGS
     quiet gconftool-2 --version &&
     pkg-config --exists gconf-2.0 libgnome-2.0 libgnomeui-2.0 libgnomeprint-2.2 libgnomeprintui-2.2 libgtkhtml-3.8 &&
     quiet intltoolize --version || die "gnome not installed correctly"



More information about the gnucash-changes mailing list